Subject: New Reply Received - Homebox, you have a pathetic customer service, incompetent staff and cheat customer. I have placed a...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 14 Apr 2021 16:23:48 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  Homebox, you have a pathetic customer service, incompetent staff and cheat customer. I have placed a...  Ticket comment <div>Homebox Stores . The order number is 6290886879. I believe you can retrieve all other information with that. You just responded here because it's social media otherwise your incompetent staff is least bothered and you as an entity are involved in commercial malpractice. I regret having placed an order with you and wasted 2 weeks. I hope others learn from my mistake and do not deal with Homebox</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2401853